Bug 216785 - Review Request: perl-Gnome2-Print - Perl wrappers for the Gnome Print utilities
Review Request: perl-Gnome2-Print - Perl wrappers for the Gnome Print utilities
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Package Reviews List
http://search.cpan.org/dist/Gnome2-Pr...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-21 19:03 EST by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 10:46:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-11-21 19:03:52 EST
SRPM URL: http://home.comcast.net/~ckweyl/perl-Gnome2-Print-1.000-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Gnome2-Print.spec

Description:
This module allows you to use the GNOME Print libraries within your
applications written using the gtk2-perl wrapper. The GNOME Print libraries
(also known as libgnomeprint and libgnomeprintui) allow you to create
printable documents (using various frontends) and offer standard widgets in
order to mainatin a UI consistent for all GNOME applications.
Comment 1 Parag AN(पराग) 2006-11-21 23:01:38 EST
Tell me how can i use this package or test its working in FC6 core?
Comment 2 Chris Weyl 2006-11-21 23:10:58 EST
There are a number of sample scripts that come in the examples directory (or,
when the rpm is installed, under %doc).  Running one or more of those should
enable you to examine the functionailty of the module proper.
Comment 3 Parag AN(पराग) 2006-11-22 00:58:25 EST
Did mock build and found under build.log
Unrecognized argument in LIBS ignored: '-pthread'
Got some rpmlint Warnings
W: perl-Gnome2-Print devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gnome2/Print/Install/gnomeprintperl-autogen.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: perl-Gnome2-Print devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gnome2/Print/Install/gnomeprintperl-version.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

W: perl-Gnome2-Print devel-file-in-non-devel-package
/usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/Gnome2/Print/Install/gnomeprintperl.h
A development file (usually source code) is located in a non-devel
package. If you want to include source code in your package, be sure to
create a development package.

are those can be ignored for perl packages??
Comment 4 Chris Weyl 2006-11-22 01:05:34 EST
Those warnings can be safely ignored for perl packages.
Comment 5 Parag AN(पराग) 2006-11-22 01:32:52 EST
Not able to find license file(Is am i missing something)?
Still Unrecognized argument in LIBS ignored: '-pthread' message coming
not understanding which causes this message to appear?
Comment 6 Ralf Corsepius 2006-11-22 01:46:34 EST
(In reply to comment #5)
> Not able to find license file(Is am i missing something)?
Yes, you are missing something: Nobody is obliged to ship one.

Perl module files typically contain licenses embedded into their source files.

> Still Unrecognized argument in LIBS ignored: '-pthread' message coming
> not understanding which causes this message to appear?
IIRC, this is a bug/crappy code somewhere in some of the perl-Gtk/Gnome
infrastructure. I recall this had appeared several times before, but I don't
recall all details on how this had been resolved. Googling/searching bugzilla
might provide further insights.
Comment 7 Parag AN(पराग) 2006-11-22 02:07:45 EST
Does that be a blocker?
Comment 8 Ralf Corsepius 2006-11-22 03:01:50 EST
(In reply to comment #7)
> Does that be a blocker?
I just found a reference:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=166252

... so people seem to preferr to ignore this bug :(
Comment 9 Parag AN(पराग) 2006-11-22 04:27:39 EST
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and but NOT for RPMS.
  But those warnings are ignored.
+ source files match upstream.
66578c2ffaebbe035a0735e65ad71c3f  Gnome2-Print-1.000.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.  License text included in package.
+ %doc is small; no -doc subpackage required.
+ %doc does not affect runtime.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ .pc file present.
+ no -devel subpackage exists
+ no .la files.
+ no translations are available
+ Dose owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Followed perl packaging guidelines.
APPROVED.
Comment 10 Parag AN(पराग) 2006-11-22 04:31:26 EST
Don't Forget to CLOSE this with NEXTRELEASE
Comment 11 Chris Weyl 2006-11-22 10:46:23 EST
Imported and building for devel; branches requested for FC5,6.

Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.